<%@ page import="com.atlassian.jira.config.properties.APKeys"%>
<%@ page import="com.atlassian.jira.config.properties.ApplicationProperties"%>
<%@ page import="com.atlassian.jira.plugin.navigation.FooterModuleDescriptor"%>
<%@ page import="com.atlassian.jira.plugin.navigation.PluggableFooter"%>
<%@ page import="com.atlassian.jira.plugin.util.ModuleDescriptorComparator"%>
<%@ page import="java.util.Collections"%>
<%@ page import="java.util.Iterator"%>
<%@ page import="java.util.List"%>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="jiratags" prefix="jira" %>
<%@ taglib uri="webwork" prefix="webwork" %>
<%
    WebResourceManager webResourceManager = ComponentManager.getInstance().getWebResourceManager();
    ApplicationProperties ap = ManagerFactory.getApplicationProperties();
    final LookAndFeelBean lookAndFeelBeanFrontPage = LookAndFeelBean.getInstance(ap);
    String topBgColour = lookAndFeelBeanFrontPage.getTopBackgroundColour();
    String menuBgColour = lookAndFeelBeanFrontPage.getMenuBackgroundColour();
    String linkColour = lookAndFeelBeanFrontPage.getTextLinkColour();
    String linkAColour = lookAndFeelBeanFrontPage.getTextActiveLinkColour();

    //don't use default backed string here, as we will use the large logo
    String jiraLogo = lookAndFeelBeanFrontPage.getLogoUrl();
    if (jiraLogo != null && !jiraLogo.startsWith("http://") && !jiraLogo.startsWith("https://"))
    {
        jiraLogo = webResourceManager.getStaticResourcePrefix() + jiraLogo;
    }
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<title><%= ap.getDefaultBackedString(APKeys.JIRA_TITLE) %> - <decorator:title default="New Generation Issue Tracking" /></title>
    <META http-equiv="Content-Type" content="<%= ap.getContentType() %>">
	<%@ include file="/includes/decorators/stylesheettag.jsp" %>
    <script language="JavaScript" type="text/javascript" src="<%=request.getContextPath()%>/includes/js/combined-javascript.js"></script>
<%
    webResourceManager.includeResources(out);
%>
</head>

<body bgcolor="#f0f0f0" style="margin: 0" link="<%= linkColour %>" vlink="<%= linkColour %>" alink="<%= linkAColour %>">
<table width="100%" border="0" cellspacing="0" cellpadding="0" style="height: 100%">
<tr valign="middle"><td>

<table cellpadding="0" cellspacing="0" class="centred borderedBoxBlack" width="400">
    <tr>
        <td width="400" bgcolor="<%= topBgColour %>"><table><tr>
            <td valign="bottom" width="200"><a href="<%= request.getContextPath() %>/secure/"><img src="<%= jiraLogo %>" width="<%= lookAndFeelBeanFrontPage.getLogoWidth() %>" height="<%= lookAndFeelBeanFrontPage.getLogoHeight() %>" border=0 alt="<%= ap.getString(APKeys.JIRA_TITLE) %>"></a></td>
            <td valign="bottom" width="200" align="right">
                <webwork:component name="'default'" template="help.jsp">
                    <webwork:param name="'align'" value="'middle'"/>
                </webwork:component>
                &nbsp;
            </td>
        </tr></table></td>
    </tr>
    <tr style="height: 5px;">
      	<td width="400" bgcolor="<%= menuBgColour %>"><img src="<%= webResourceManager.getStaticResourcePrefix() %>/images/border/spacer.gif" width="5" height="5" border="0" alt=""></td>
    </tr>
    <tr>
        <td bgcolor="<%= topBgColour %>">
            <decorator:body />
        </td>
    </tr>
</table>

<br/>

<%
    // Get all the footer module descriptions and sort them by order
    List footerPlugins = ComponentManager.getInstance().getPluginManager().getEnabledModuleDescriptorsByClass(FooterModuleDescriptor.class);
    Collections.sort(footerPlugins, ModuleDescriptorComparator.COMPARATOR);

    // Render all the footer plugins
    for (Iterator iterator = footerPlugins.iterator(); iterator.hasNext();)
    {
        FooterModuleDescriptor footerModuleDescriptor = (FooterModuleDescriptor) iterator.next();
        PluggableFooter pluggableFooter = (PluggableFooter) footerModuleDescriptor.getModule();
%>
<%= pluggableFooter.getSmallFooterHtml(request) %>
<%
    }
%>

</td></tr>
</table>

</body>
</html>
