<%@ page import="com.atlassian.jira.ComponentManager,
                 com.atlassian.jira.plugin.navigation.PluggableTopNavigation,
                 com.atlassian.jira.plugin.navigation.TopNavigationModuleDescriptor,
                 com.atlassian.jira.plugin.util.ModuleDescriptorComparator,
                 com.atlassian.plugin.PluginManager" %>
<%@ page import="java.util.Collections" %>
<%@ page import="java.util.Iterator" %>
<%@ page import="java.util.List" %>
<%@ page import="com.atlassian.jira.web.action.admin.EditAnnouncementBanner" %>
<%@ page import="com.atlassian.jira.config.properties.APKeys" %>
<%@ page import="com.atlassian.jira.config.properties.LookAndFeelBean" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<%@ taglib uri="sitemesh-decorator" prefix="decorator" %>
<%@ taglib uri="jiratags" prefix="jira" %>

<decorator:usePage id="p"/>
<jira:user id="bodytopUser" />
<%
    LookAndFeelBean lookAndFeelBean = LookAndFeelBean.getInstance(headerAP);
    String linkColour = lookAndFeelBean.getTextLinkColour();
    String linkAColour = lookAndFeelBean.getTextActiveLinkColour();
    String alertHeaderPreview = request.getParameter(EditAnnouncementBanner.ANNOUNCEMENT_PREVIEW);
    String alertHeader = (alertHeaderPreview == null) ? headerAP.getDefaultBackedText(APKeys.JIRA_ALERT_HEADER) : alertHeaderPreview;
    String alertHeaderVisibility = headerAP.getDefaultBackedString(APKeys.JIRA_ALERT_HEADER_VISIBILITY);

%>

<body bgcolor="#f0f0f0" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" link="<%= linkColour%>" vlink="<%= linkColour%>" alink="<%= linkAColour%>">

<%
    PluginManager pluginManager = ComponentManager.getInstance().getPluginManager();

    // Get all the top nav module descriptions and sort them by order
    List topNavPlugins = pluginManager.getEnabledModuleDescriptorsByClass(TopNavigationModuleDescriptor.class);
    Collections.sort(topNavPlugins, ModuleDescriptorComparator.COMPARATOR);

    // Render all the top nav plugins
    for (Iterator iterator = topNavPlugins.iterator(); iterator.hasNext();) {
        TopNavigationModuleDescriptor topNavModuleDescriptor = (TopNavigationModuleDescriptor) iterator.next();
        PluggableTopNavigation pluggableTopNavigation = (PluggableTopNavigation) topNavModuleDescriptor.getModule();

%>
<%= pluggableTopNavigation.getHtml(request) %>
<%
    }
%>

<!--This should always be included as it is not part of a themable plugin, instead it is core functionality-->
<% if (alertHeader != null && alertHeader.trim().length() > 0 && ("public".equals(alertHeaderVisibility) || bodytopUser != null)) { %>
<div class="alertHeader">
<%= alertHeader %>
</div>
<% } %>
