<%@ taglib uri="webwork" prefix="webwork" %>
<%@ taglib uri="webwork" prefix="ui" %>
<%@ taglib uri="sitemesh-page" prefix="page" %>
<html>
<head>
    <meta content="issuesummary" name="decorator" />
    <webwork:if test="/multiple == true">
	    <title><webwork:text name="'attachfile.title.multiple'"/></title>
    </webwork:if>
    <webwork:else>
        <title><webwork:text name="'attachfile.title'"/></title>
    </webwork:else>
</head>
<body>

<script type="text/javascript" language="JavaScript">
var AttachFileFormControl = {
    toggleDisplay: function(elementId, isShow)
    {
        var element = document.getElementById(elementId);
        if (isShow)
        {
            element.style.display = '';
        }
        else
        {
            element.style.display = 'none';
        }
    },
    toggleMultiple: function(isMultiple)
    {
        var multiple = document.getElementById("multiple");
        multiple.value = isMultiple;

        this.toggleDisplay("multipleTitle", isMultiple);
        this.toggleDisplay("multipleDesc", isMultiple);
        this.toggleDisplay("singleTitle", !isMultiple);
        this.toggleDisplay("singleDesc", !isMultiple);

    <webwork:iterator value="paramNames" status="'status'">
        <webwork:if test="@status/index > 0">this.toggleDisplay("<webwork:property value="."/>_field", isMultiple);</webwork:if>
    </webwork:iterator>
    }
}
</script>

    <page:applyDecorator name="jiraform">
        <page:param name="title">
            <div id="singleTitle" <webwork:if test="/multiple == true">style="display: none"</webwork:if>>
                <webwork:text name="'attachfile.title'"/>
            </div>
            <div id="multipleTitle" <webwork:if test="/multiple == false">style="display: none"</webwork:if>>
                <webwork:text name="'attachfile.title.multiple'"/>
            </div>
        </page:param>
        <page:param name="description">
            <div id="singleDesc" <webwork:if test="/multiple == true">style="display: none"</webwork:if>>
                <webwork:text name="'attachfile.desc'"/><p></p>
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                <webwork:text name="'attachfile.multiple'">
                    <webwork:param name="'value0'"><b><a href="<%= request.getContextPath() %>/secure/AttachFile!default.jspa?id=<webwork:property value="issue/long('id')" />&multiple=true" onclick="AttachFileFormControl.toggleMultiple(true); return false;" rel="pageReload" ></webwork:param>
                    <webwork:param name="'value1'"></a></b></webwork:param>
                </webwork:text>
            </div>
            <div id="multipleDesc" <webwork:if test="/multiple == false">style="display: none"</webwork:if>>
                <webwork:text name="'attachfile.desc.multiple'"/><p></p>
                <img src="<%= request.getContextPath() %>/images/icons/bullet_creme.gif" height=8 width=8 border=0 align=absmiddle>
                <webwork:text name="'attachfile.single'">
                    <webwork:param name="'value0'"><b><a href="<%= request.getContextPath() %>/secure/AttachFile!default.jspa?id=<webwork:property value="issue/long('id')" />&multiple=false" onclick="AttachFileFormControl.toggleMultiple(false); return false;" rel="pageReload" ></webwork:param>
                    <webwork:param name="'value1'"></a></b></webwork:param>
                </webwork:text>
            </div>
        </page:param>
        <page:param name="width">100%</page:param>
        <page:param name="action">AttachFile.jspa</page:param>
        <page:param name="cancelURI"><webwork:property value="issuePath" /></page:param>
        <page:param name="submitName"><webwork:property value="text('attachfile.submitname')"/></page:param>
        <page:param name="multipart">true</page:param>
        <page:param name="autoSelectFirst">false</page:param>
        <webwork:if test="/issueExists == true">
            <webwork:iterator value="paramNames" status="'status'">
                <tbody id="<webwork:property value="."/>_field" <webwork:if test="@status/index > 0 && /multiple == false">style="display: none;"</webwork:if>>
                <ui:component label="text('attachfile.attachment.label')" name="." template="filebrowse.jsp">
                    <ui:param name="'description'"><webwork:property value="attachmentFieldDescription" escape="false" /></ui:param>
                </ui:component>
                </tbody>
            </webwork:iterator>
        <%@ include file="/includes/panels/updateissue_comment.jsp" %>
        <ui:component name="'id'" template="hidden.jsp" />
        <ui:component name="'multiple'" template="hidden.jsp" />
        </webwork:if>
    </page:applyDecorator>
</body>
</html>