
<%@ page import="com.atlassian.jira.ComponentManager" %>
<%@ page import="com.atlassian.plugin.webresource.WebResourceManager" %>
<%@ page import="com.atlassian.jira.config.properties.APKeys" %>
<%@ page import="com.atlassian.jira.config.properties.ApplicationProperties" %>
<%@ taglib uri="webwork" prefix="webwork" %>

<%
    // Only include extra web resources (css, js) if Ajax Issue Picker turned on
    ApplicationProperties applicationProperties= ComponentManager.getInstance().getApplicationProperties();
    if (applicationProperties.getOption(APKeys.JIRA_AJAX_ISSUE_PICKER_ENABLED))
    {
        WebResourceManager webResourceManager = ComponentManager.getInstance().getWebResourceManager();
        webResourceManager.requireResource("jira.webresources:dwr");
        webResourceManager.requireResource("jira.webresources:browser-detect");
        webResourceManager.requireResource("jira.webresources:yui");
        webResourceManager.requireResource("jira.webresources:yui-autocomplete");
        webResourceManager.requireResource("jira.webresources:ajax-issuepicker");
    }
%>

<div class="ajax_autocomplete" id="<webwork:property value="parameters['name']"/>_container">
      <input type="text" name="<webwork:property value="parameters['name']"/>" id="<webwork:property value="parameters['name']"/>"
      <webwork:property value="parameters['size']">
         <webwork:if test=".">size="<webwork:property value="."/>"</webwork:if>
      </webwork:property>
      <webwork:property value="parameters['maxlength']">
         <webwork:if test=".">maxlength="<webwork:property value="."/>"</webwork:if>
      </webwork:property>
      <webwork:property value="parameters['nameValue']">
         <webwork:if test=".">value="<webwork:property value="."/>"</webwork:if>
      </webwork:property>
      <webwork:property value="parameters['disabled']">
         <webwork:if test="{parameters['disabled']}">DISABLED</webwork:if>
      </webwork:property>
      <webwork:property value="parameters['readonly']">
         <webwork:if test="{parameters['readonly']}">READONLY</webwork:if>
      </webwork:property>
      <webwork:property value="parameters['onkeyup']">
         <webwork:if test=".">onkeyup="<webwork:property value="."/>"</webwork:if>
      </webwork:property>
      <webwork:property value="parameters['tabindex']">
         <webwork:if test=".">tabindex="<webwork:property value="."/>"</webwork:if>
      </webwork:property>
      <webwork:property value="parameters['onchange']">
         <webwork:if test=".">onchange="<webwork:property value="."/>"</webwork:if>
      </webwork:property>
      <webwork:property value="parameters['style']">
         <webwork:if test=".">style="<webwork:property value="."/>"</webwork:if>
      </webwork:property>
      />
     <a href="javascript:openIssuePicker('<webwork:property value="parameters['formname']" />', '<webwork:property value="parameters['name']"/>', '<webwork:property value="parameters['currentissue']"/>', '<webwork:property value="parameters['singleSelectOnly']"><webwork:if test="."><webwork:property value="."/></webwork:if><webwork:else>false</webwork:else></webwork:property>', '<webwork:property value="parameters['showSubTasks']"><webwork:if test="."><webwork:property value="."/></webwork:if><webwork:else>true</webwork:else></webwork:property>', '<webwork:property value="parameters['showSubTasksParent']"><webwork:if test="."><webwork:property value="."/></webwork:if><webwork:else>true</webwork:else></webwork:property>', <webwork:property value="parameters['selectedProjectId']"><webwork:if test=".">'<webwork:property value="."/>'</webwork:if><webwork:else>null</webwork:else></webwork:property>)"
       title="Quick link to recently viewed issues">[<webwork:text name="'linkissue.picker.selectissue'"/>]</a>
    <div id="<webwork:property value="parameters['name']"/>_results" class="ajax_results"></div>
    <webwork:if test="applicationProperties/option('jira.ajax.autocomplete.issuepicker.enabled') == true">
        <font size="1"><webwork:text name="'linkissue.picker.desc'"/></font>
    </webwork:if>
</div>


<script language="javascript" type="text/javascript">
function openIssuePicker(formName, linkFieldName, currentissue, singleSelectOnly, showSubTasks, showSubTasksParent, selectedProjectId)
{
    var url = '<%= request.getContextPath() %>/secure/popups/IssuePicker.jspa?';
    url += 'formName=' + formName + '&';
    url += 'linkFieldName=' + linkFieldName + '&';
    url += 'currentIssue=' + currentissue + '&';
    url += 'singleSelectOnly=' + singleSelectOnly + '&';
    url += 'showSubTasks=' + showSubTasks + '&';
    url += 'showSubTasksParent=' + showSubTasksParent + '&';
    if (selectedProjectId != null)
    {
        url += 'selectedProjectId=' + selectedProjectId + '&';
    }

    var vWinUsers = window.open(url, 'UssueSelectorPopup', 'status=no,resizable=yes,top=100,left=200,width=620,height=500,scrollbars=yes,resizable');
    vWinUsers.opener = self;
	vWinUsers.focus();
}
<webwork:if test="applicationProperties/option('jira.ajax.autocomplete.issuepicker.enabled') == true">
    <!-- init autocomplete components -->
    YAHOO.util.Event.addListener(window, 'load', function() {
        var currentIssueKey = '<webwork:property value="parameters['currentissue']"/>' ;
        var fieldName = '<webwork:property value="parameters['name']"/>' ;
        var currentProjectId = <webwork:property value="parameters['selectedProjectId']"><webwork:if test=".">'<webwork:property value="."/>'</webwork:if><webwork:else>null</webwork:else></webwork:property>;
        var showSubTasks = <webwork:property value="parameters['showSubTasks']"><webwork:if test="."><webwork:property value="."/></webwork:if><webwork:else>true</webwork:else></webwork:property>;
        var showSubTaskParent = <webwork:property value="parameters['showSubTasksParent']"><webwork:if test="."><webwork:property value="."/></webwork:if><webwork:else>true</webwork:else></webwork:property>;
        var singleSelectOnly = <webwork:property value="parameters['singleSelectOnly']"><webwork:if test="."><webwork:property value="."/></webwork:if><webwork:else>false</webwork:else></webwork:property>;
        var limit = <webwork:property value="applicationProperties/defaultBackedString('jira.ajax.autocomplete.limit')"><webwork:if test="."><webwork:property value="."/></webwork:if><webwork:else>30</webwork:else></webwork:property>;


       var yuiConfig = {
                minQueryLength : 1,
                queryDelay : 0.25,
                cacheResults : false,
                maxResultsDisplayed : limit,
                delimChar : [',']
        }
        if (singleSelectOnly) {
            yuiConfig.delimChar = '';
        }

        var config = {
            inputId : "<webwork:property value="parameters['name']"/>",
            containerId : "<webwork:property value="parameters['name']"/>_container",
            resultsId : "<webwork:property value="parameters['name']"/>_results",
            waiticonId : "<webwork:property value="parameters['name']"/>_waiticon",
            dwrInvokerFunc : function(query, dwrCallContext)
            {
                AjaxIssuePicker.getIssues(fieldName, query, currentIssueKey, currentProjectId, showSubTasks, showSubTaskParent, dwrCallContext);
            }
        };
        var issuePicker = new atlassian.jira.widget.AutoComplete(config, yuiConfig);
    });

</webwork:if>


</script>



